package com.dlc.exam.ui.score

/**
 * info
 *
 * @author ReiChin_
 */
interface ITopicChange {

    /**
     * 用户点击了上一题/下一题时回调
     *
     * @param index 要切换到的题目编号，从0开始
     */
    fun onTopicChanged(index: Int)

    /**
     * 用户答案提交成功后回调
     *
     * @param index 当前题目编号，从0开始
     * @param right 是否回答正确
     */
    fun onAnswered(index: Int, right: Boolean)

}